org.apache.http.params

## Interface HttpParamsNames

All Known Implementing Classes:
  AbstractHttpParams, BasicHttpParams, DefaultedHttpParams, SyncBasicHttpParams

Deprecated.
(4.3) use configuration classes provided 'org.apache.http.config' and 'org.apache.http.client.config'

    @Deprecated
    public interface HttpParamsNames

Gives access to the full set of parameter names.

Since:
  4.2
See Also:
  `HttpParams`

### Method Summary

Methods
`Set<String>` `getNames()` Deprecated. Returns the current set of names; in the case of stacked parameters, returns the names from all the participating HttpParams instances.

### Method Detail

#### getNames

    Set<String> getNames()

Deprecated.
Returns the current set of names; in the case of stacked parameters, returns the names from all the participating HttpParams instances. Changes to the underlying HttpParams are not reflected in the set - it is a snapshot.

Returns:
  the names, as a Set<String>